package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsLock;
import com.ktg.iscs.domain.vo.lock.IsLockVO;

import java.util.List;

/**
 * 挂锁Service接口
 *
 * @author cgj
 * @date 2024-11-19
 */
public interface IIsLockService extends IService<IsLock>
{
    /**
     * 查询挂锁
     *
     * @param lockId 挂锁主键
     * @return 挂锁
     */
    IsLock selectIsLockByLockId(Long lockId);

    /**
     * 通过NFC查询挂锁
     *
     * @param nfc 挂锁NFC
     *
     * @return 挂锁
     */
    IsLock selectIsLockByNfc(String nfc);

    /**
     * 查询挂锁列表
     *
     * @param isLock 挂锁
     * @return 挂锁集合
     */
    List<IsLock> selectIsLockList(IsLock isLock);

    /**
     * 新增挂锁
     *
     * @param isLock 挂锁
     * @return 结果
     */
    int insertIsLock(IsLock isLock);

    /**
     * 修改挂锁
     *
     * @param isLock 挂锁
     * @return 结果
     */
    int updateIsLock(IsLock isLock);

    /**
     * 批量删除挂锁
     *
     * @param lockIds 需要删除的挂锁主键集合
     * @return 结果
     */
    int deleteIsLockByLockIds(String lockIds);

    /**
     * 删除挂锁信息
     *
     * @param lockId 挂锁主键
     * @return 结果
     */
    int deleteIsLockByLockId(Long lockId);

    Page<IsLockVO> getIsLockPage(Page<IsLock> page, IsLock isLock);

    /**
     * 机柜录入挂锁
     *
     * @param isLock 挂锁
     * @return 结果
     */
    Boolean insertIsLockByCabinet(IsLock isLock);
}
